Bug 249598 - databases/mongodb40: depends on python 2.x
Summary: databases/mongodb40: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:20 UTC by Steve Wills
Modified: 2020-11-29 16:49 UTC (History)
3 users (show)

See Also:
dev.ashevchuk: maintainer-feedback+


Attachments
python3 compat (svn diff) (54.51 KB, patch)
2020-11-16 19:26 UTC, Ronald Klop
no flags Details | Diff
python3 compat (svn diff) (55.52 KB, patch)
2020-11-16 21:08 UTC, Ronald Klop
ronald-lists: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:20:42 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Ronald Klop 2020-11-16 19:26:10 UTC
Created attachment 219741 [details]
python3 compat (svn diff)

Bases on the patch in bug #249597 I created a patch to build with python3.
Comment 2 Ronald Klop 2020-11-16 21:08:31 UTC
Created attachment 219743 [details]
python3 compat (svn diff)

New patch with 2 more fixes.
Comment 3 commit-hook freebsd_committer 2020-11-29 16:48:39 UTC
A commit references this bug:

Author: mikael
Date: Sun Nov 29 16:47:46 UTC 2020
New revision: 556589
URL: https://svnweb.freebsd.org/changeset/ports/556589

Log:
  databases/mongodb40: allow build with python 3

  PR:		249598
  Submitted by:	Ronald Klop
  Approved by:	dev.ashevchuk (maintainer, previous version)

Changes:
  head/databases/mongodb40/Makefile
  head/databases/mongodb40/files/patch-python3
Comment 4 Mikael Urankar freebsd_committer 2020-11-29 16:49:19 UTC
Thanks!